## org.hibernate.usertype
Interface LoggableUserType

    public interface LoggableUserType

Marker interface for user types which want to perform custom logging of their corresponding values

Author:
  Steve Ebersole

Method Summary
`String` `toLoggableString(Object value, SessionFactoryImplementor factory)` Generate a loggable string representation of the collection (value).

Method Detail

### toLoggableString

    String toLoggableString(Object value,
                            SessionFactoryImplementor factory)

  Generate a loggable string representation of the collection (value).

  Parameters:
    `value` - The collection to be logged; guarenteed to be non-null and initialized.
    `factory` - The factory.
  Returns:
    The loggable string representation.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.